<?php namespace MapGuesser\Response;

use MapGuesser\View\Linker;

class HtmlContent extends ContentBase
{
    private string $view;

    public function __construct(string $view, array &$data = [])
    {
        $this->view = $view;
        $this->data = &$data;
    }

    public function &render(): string
    {
        if (!empty($_ENV['DEV'])) {
            $generator = new Linker($this->view);
            $generator->generate();
        }

        extract($this->data);

        ob_start();
        require ROOT . '/cache/views/' . $this->view . '.php';
        $content = ob_get_contents();
        ob_end_clean();

        $content .= '<!-- __debug__runtime: ' . round((hrtime(true) - SCRIPT_STARTED) / 1e+6, 1) . ' -->';

        return $content;
    }

    public function getContentType(): string
    {
        return 'text/html';
    }
}
