<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?= $_ENV['APP_NAME'] ?></title>
    <link href="<?= $_ENV['STATIC_ROOT'] ?>/css/mapguesser.css?rev=<?= REVISION ?>" rel="stylesheet">
    <?php if (isset($cssFiles)) : ?>
        <?php foreach ($cssFiles as $cssFile) : ?>
            <?php
            if (!preg_match('/^http(s)?/', $cssFile)) {
                $cssFile = $_ENV['STATIC_ROOT'] .  '/' . $cssFile . '?rev=' . REVISION;
            }
            ?>
            <link href="<?= $cssFile ?>" rel="stylesheet">
        <?php endforeach; ?>
    <?php endif; ?>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;500&display=swap" rel="stylesheet">
    <link rel="icon" type="image/png" sizes="192x192" href="<?= $_ENV['STATIC_ROOT'] ?>/img/favicon/192x192.png?rev=<?= REVISION ?>">
    <link rel="icon" type="image/png" sizes="96x96" href="<?= $_ENV['STATIC_ROOT'] ?>/img/favicon/96x96.png?rev=<?= REVISION ?>">
    <link rel="icon" type="image/png" sizes="32x32" href="<?= $_ENV['STATIC_ROOT'] ?>/img/favicon/32x32.png?rev=<?= REVISION ?>">
    <link rel="icon" type="image/png" sizes="16x16" href="<?= $_ENV['STATIC_ROOT'] ?>/img/favicon/16x16.png?rev=<?= REVISION ?>">
</head>
<body>
    <?php if (!isset($_COOKIE['COOKIES_CONSENT'])): ?>
        <div id="cookiesNotice">
            <p class="small">
                <?= $_ENV['APP_NAME'] ?> uses cookies to improve user experience. By using the app or clicking 'Agree', you consent to our use of cookies.
            </p>
            <button id="agreeCookiesButton" class="small marginTop">Agree</button>
        </div>
    <?php endif; ?>
    <div id="loading">
        <img src="<?= $_ENV['STATIC_ROOT'] ?>/img/loading.svg?rev=<?= REVISION ?>" width="64" height="64">
    </div>
    <div id="cover"></div>
    <div id="modal" class="modal">
        <h2 id="modalTitle"></h2>
        <p id="modalText" class="justify marginTop"></p>
        <div id="modalButtons" class="right"></div>
    </div>
    @yields('pagemodal')
    @yields('content')
    <script>
        const STATIC_ROOT = '<?= $_ENV['STATIC_ROOT'] ?>';
        const REVISION = '<?= REVISION ?>';
        var ANTI_CSRF_TOKEN = '<?= \Container::$request->session()->get('anti_csrf_token') ?>';
        const GOOGLE_MAPS_JS_API_KEY = '<?= $_ENV['GOOGLE_MAPS_JS_API_KEY'] ?>';
        <?php if (!empty($_ENV['GOOGLE_ANALITICS_ID'])): ?>
            const GOOGLE_ANALITICS_ID = '<?= $_ENV['GOOGLE_ANALITICS_ID'] ?>';
        <?php endif; ?>
    </script>
    @yields('pagescript')
    <script src="<?= $_ENV['STATIC_ROOT'] ?>/js/mapguesser.js?rev=<?= REVISION ?>"></script>
    <?php if (isset($jsFiles)) : ?>
        <?php foreach ($jsFiles as $jsFile) : ?>
            <?php
            if (!preg_match('/^http(s)?/', $jsFile)) {
                $jsFile = $_ENV['STATIC_ROOT'] .  '/' . $jsFile . '?rev=' . REVISION;
            }
            ?>
            <script src="<?= $jsFile ?>"></script>
        <?php endforeach; ?>
    <?php endif; ?>
    <?php if (!isset($_COOKIE['COOKIES_CONSENT'])): ?>
        <script>
            (function () {
                // we don't want user to agree cookies when clicking on the notice itself
                document.getElementById('cookiesNotice').onclick = function (e) {
                    e.stopPropagation();
                };

                document.getElementById('agreeCookiesButton').onclick = function () {
                    MapGuesser.agreeCookies();

                    document.getElementById('cookiesNotice').style.display = 'none';
                };

                window.onclick = function () {
                    MapGuesser.agreeCookies();
                };
            })();
        </script>
    <?php else: ?>
        <?php if (!empty($_ENV['GOOGLE_ANALITICS_ID'])): ?>
            <script>
                (function () {
                    MapGuesser.initGoogleAnalitics();
                })();
            </script>
        <?php endif; ?>
    <?php endif; ?>
</body>
</html>
